curl --request POST \
--url https://api.shoppex.io/dev/v1/coupons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"discount_value": 123,
"discount_type": "PERCENTAGE",
"max_uses": 123,
"products_bound": [
"<string>"
],
"min_order_amount": 123,
"max_discount": 123,
"valid_from": "<string>",
"valid_until": "<string>"
}
'{
"data": {
"id": "<string>",
"uniqid": "<string>",
"shop_id": "<string>",
"type": "PERCENTAGE",
"code": "<string>",
"discount": 123,
"used": 123,
"max_uses": 123,
"min_order_amount": 123,
"max_discount": 123,
"valid_from": 123,
"valid_until": 123,
"is_active": true,
"created_at": 123,
"updated_at": 123,
"products_bound": [
"<string>"
],
"products_count": 123
}
}curl --request POST \
--url https://api.shoppex.io/dev/v1/coupons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"discount_value": 123,
"discount_type": "PERCENTAGE",
"max_uses": 123,
"products_bound": [
"<string>"
],
"min_order_amount": 123,
"max_discount": 123,
"valid_from": "<string>",
"valid_until": "<string>"
}
'{
"data": {
"id": "<string>",
"uniqid": "<string>",
"shop_id": "<string>",
"type": "PERCENTAGE",
"code": "<string>",
"discount": 123,
"used": 123,
"max_uses": 123,
"min_order_amount": 123,
"max_discount": 123,
"valid_from": 123,
"valid_until": 123,
"is_active": true,
"created_at": 123,
"updated_at": 123,
"products_bound": [
"<string>"
],
"products_count": 123
}
}Use your API key with the Bearer scheme. Get your key from Dashboard → Settings → API Keys. Format: Authorization: Bearer shx_...
Default Response
Show child attributes